| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
boost::threadpool::static_size< Pool > Class Template Reference

SizePolicy which preserves the thread count. More...

`#include <src/threadpool/boost/threadpool/size_policies.hpp>`

## Public Member Functions
| static_size (Pool volatile &pool)
bool | resize (size_t const worker_count)
void | worker_died_unexpectedly (size_t const new_worker_count)
void | task_scheduled ()
void | task_finished ()

## Static Public Member Functions
static void | init (Pool &pool, size_t const worker_count)

## Private Attributes
reference_wrapper< Pool volatile > | m_pool

## Detailed Description

### template<typename Pool>
class boost::threadpool::static_size< Pool >

SizePolicy which preserves the thread count.

Parameters

  Pool | The pool's core type.

Definition at line 68 of file size_policies.hpp.

## Constructor & Destructor Documentation

template<typename Pool >

boost::threadpool::static_size< Pool >::static_size | ( | Pool volatile & | pool | ) |
| inline

Definition at line 78 of file size_policies.hpp.

79 : m_pool(pool)
80 {}
boost::threadpool::static_size::m_pool
reference_wrapper< Pool volatile > m_pool
Definition: size_policies.hpp:70
pool
Definition: PoolClasses.h:7

## Member Function Documentation

template<typename Pool >

static void boost::threadpool::static_size< Pool >::init | ( | Pool & | pool,
|  | size_t const | worker_count
| ) |  |
| inline static

Definition at line 73 of file size_policies.hpp.

74 {
75 pool.resize(worker_count);
76 }
pool
Definition: PoolClasses.h:7
template<typename Pool >

bool boost::threadpool::static_size< Pool >::resize | ( | size_t const | worker_count | ) |
| inline

Definition at line 82 of file size_policies.hpp.

83 {
84 return m_pool.get().resize(worker_count);
85 }
boost::threadpool::static_size::m_pool
reference_wrapper< Pool volatile > m_pool
Definition: size_policies.hpp:70
template<typename Pool >

void boost::threadpool::static_size< Pool >::task_finished | ( |  | ) |
| inline

Definition at line 94 of file size_policies.hpp.

94 {}
template<typename Pool >

void boost::threadpool::static_size< Pool >::task_scheduled | ( |  | ) |
| inline

Definition at line 93 of file size_policies.hpp.

93 {}
template<typename Pool >

void boost::threadpool::static_size< Pool >::worker_died_unexpectedly | ( | size_t const | new_worker_count | ) |
| inline

Definition at line 87 of file size_policies.hpp.

88 {
89 m_pool.get().resize(new_worker_count + 1);
90 }
boost::threadpool::static_size::m_pool
reference_wrapper< Pool volatile > m_pool
Definition: size_policies.hpp:70

## Member Data Documentation

template<typename Pool >

reference_wrapper<Pool volatile> boost::threadpool::static_size< Pool >::m_pool
| private

Definition at line 70 of file size_policies.hpp.

The documentation for this class was generated from the following file:

- GaudiMTTools/src/threadpool/boost/threadpool/size_policies.hpp